Package org.apache.tools.ant.taskdefs.optional.javah

## Class ForkingJavah

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.javah.ForkingJavah

- All Implemented Interfaces:
    `JavahAdapter`

      public class ForkingJavah
      extends java.lang.Object
      implements JavahAdapter

  This implementation runs the javah executable in a separate process.
  Since:
    Ant 1.9.8

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `IMPLEMENTATION_NAME` | the name of this adapter for users to select

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkingJavah()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `compile​(Javah javah)` | Performs the actual compilation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_NAME

          public static final java.lang.String IMPLEMENTATION_NAME

      the name of this adapter for users to select
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ForkingJavah

          public ForkingJavah()

  - ### Method Detail

    - #### compile

          public boolean compile​(Javah javah)
                          throws BuildException

      Performs the actual compilation.
      Specified by:
        `compile` in interface `JavahAdapter`
      Parameters:
        `javah` - the calling javah task.
      Returns:
        true if the compilation was successful.
      Throws:
        `BuildException` - if there is an error.